<template>
  <div class="monitor-agv-svg">
    <svg
      width="456"
      height="200"
      viewBox="0 0 456 200"
      xmlns="http://www.w3.org/2000/svg"
      version="1.1"
    >
      <defs>
        <marker
          id="arrow"
          viewBox="0 0 10 10"
          refX="0"
          refY="5"
          markerWidth="5"
          markerHeight="5"
          orient="auto"
        >
          <path d="M 0 2 L 10 5 L 0 8 z" />
        </marker>
      </defs>
      <path
        d="M 20 15 L 15 15 L 15 55"
        fill="none"
        stroke="black"
        stroke-width="2"
        marker-end="url(#arrow)"
      />
      <path
        d="M 95 65 L 95 27"
        fill="none"
        stroke="black"
        stroke-width="2"
        marker-end="url(#arrow)"
      />
      <path
        d="M 210 65 L 210 27"
        fill="none"
        stroke="black"
        stroke-width="2"
        marker-end="url(#arrow)"
      />
      <path
        d="M 325 65 L 325 27"
        fill="none"
        stroke="black"
        stroke-width="2"
        marker-end="url(#arrow)"
      />
      <path
        d="M 15 125 L 15 165 L 20 165"
        fill="none"
        stroke="black"
        stroke-width="2"
        marker-end="url(#arrow)"
      />
      <path
        d="M 90 165 L 95 165 L 95 135"
        fill="none"
        stroke="black"
        stroke-width="2"
        marker-end="url(#arrow)"
      />
      <path
        d="M 100 125 L 100 165 L 240 165"
        fill="none"
        stroke="black"
        stroke-width="2"
        marker-end="url(#arrow)"
      />
      <path
        d="M 300 165 L 315 165 L 315 135"
        fill="none"
        stroke="black"
        stroke-width="2"
        marker-end="url(#arrow)"
      />
      <path
        d="M 335 125 L 335 165 L 340 165"
        fill="none"
        stroke="black"
        stroke-width="2"
        marker-end="url(#arrow)"
      />
      <path
        d="M 405 165 L 425 165 L 425 130"
        fill="none"
        stroke="black"
        stroke-width="2"
        marker-end="url(#arrow)"
      />
      <path
        d="M 445 125 L 445 190 L 270 190 L 270 188"
        fill="none"
        stroke="black"
        stroke-width="2"
        marker-end="url(#arrow)"
      />
      <path
        d="M 445 65 L 445 15 L 90 15"
        fill="none"
        stroke="black"
        stroke-width="2"
        marker-end="url(#arrow)"
      />
      <path
        d="M 45 90 L 60 90"
        fill="none"
        stroke="black"
        stroke-width="2"
        marker-end="url(#arrow)"
      />
      <path
        d="M 120 90 L 175 90"
        fill="none"
        stroke="black"
        stroke-width="2"
        marker-end="url(#arrow)"
      />
      <path
        d="M 230 90 L 287 90"
        fill="none"
        stroke="black"
        stroke-width="2"
        marker-end="url(#arrow)"
      />
      <path
        d="M 355 90 L 400 90"
        fill="none"
        stroke="black"
        stroke-width="2"
        marker-end="url(#arrow)"
      />
      <path
        d="M 115 40 L 105 40 L 105 55"
        fill="none"
        stroke="black"
        stroke-width="2"
        marker-end="url(#arrow)"
      />
      <path
        d="M 195 70 L 195 40 L 185 40"
        fill="none"
        stroke="black"
        stroke-width="2"
        marker-end="url(#arrow)"
      />
      <path
        d="M 225 70 L 225 40 L 235 40"
        fill="none"
        stroke="black"
        stroke-width="2"
        marker-end="url(#arrow)"
      />
      <path
        d="M 305 40 L 315 40 L 315 56"
        fill="none"
        stroke="black"
        stroke-width="2"
        marker-end="url(#arrow)"
      />
      <path
        d="M 360 40 L 335 40 L 335 56"
        fill="none"
        stroke="black"
        stroke-width="2"
        marker-end="url(#arrow)"
      />
      <path
        d="M 350 80 L 380 80 L 380 65"
        fill="none"
        stroke="black"
        stroke-width="2"
        marker-end="url(#arrow)"
      />
      <path
        d="M 425 80 L 425 40 L 420 40"
        fill="none"
        stroke="black"
        stroke-width="2"
        marker-end="url(#arrow)"
      />
      <path
        d="M 105 125 L 105 150 L 115 150"
        fill="none"
        stroke="black"
        stroke-width="2"
        marker-end="url(#arrow)"
      />
      <path
        d="M 185 150 L 195 150 L 195 130"
        fill="none"
        stroke="black"
        stroke-width="2"
        marker-end="url(#arrow)"
      />
      <path
        d="M 301 110 L 270 110 L 270 140"
        fill="none"
        stroke="black"
        stroke-width="2"
        marker-end="url(#arrow)"
      />
    </svg>
  </div>
</template>

<script>
export default {
  name: "MonitorModalAGVSVG",
};
</script>

<style lang="less" scoped>
.monitor-agv-svg {
  width: 100%;
  height: 100%;
}
</style>